Identity

Get identity

GET /v1/identity
Permission
None
Tokens
API key, CLI user token, Session token

Read the account and identity associated with the credential.

{
"api_key_id": str,
"customer_id": str,
"customer_login": str,
"session_id": str,
"user_id": str
}

Response

api_key_idstringrequired

The API key id, when the credential is an API key.

customer_idstringrequired

The caller's account id.

customer_loginstringrequired

The caller's account login (a GitHub org or user login).

gh_userGithubUserrequired

The full GitHub user account behind user_id, when available. Lets callers (e.g.

session_idstringrequired

The session id, when the credential is a session token.

user_idstringrequired

The GitHub user id behind the credential, when it has one.

On this page

No Headings
Schedule a demo